# -*- coding: utf-8 -*-
# Generated by Django 1.9.2 on 2016-03-06 20:05
from __future__ import unicode_literals

import autoslug.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import wagtail.wagtailcore.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Course',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(auto_now_add=True, verbose_name='time created')),
                ('is_active', models.BooleanField(default=False)),
                ('is_expired', models.BooleanField(default=False)),
                ('course_start', models.DateField(blank=True, null=True)),
                ('course_end', models.DateField(blank=True, null=True)),
                ('long_description_override', wagtail.wagtailcore.fields.RichTextField(blank=True, help_text='Descrição longa e detalhada do curso', verbose_name='Descrição detalhada')),
                ('short_description_override', models.TextField(blank=True, help_text='Descrição curta que funciona como um "tweet" para descrever o curso. Ex.: "Apenda os fundamentos de programação"', verbose_name='Descrição curta')),
            ],
        ),
        migrations.CreateModel(
            name='Discipline',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('abbreviation', autoslug.fields.AutoSlugField(editable=False, populate_from='name')),
                ('short_description', models.TextField()),
                ('long_description', wagtail.wagtailcore.fields.RichTextField()),
            ],
        ),
        migrations.CreateModel(
            name='Faculty',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('description', wagtail.wagtailcore.fields.RichTextField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='TimeSlot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('weekday', models.IntegerField()),
                ('start_time', models.TimeField()),
                ('end_time', models.TimeField()),
                ('course', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cs_courses.Course')),
            ],
        ),
        migrations.AddField(
            model_name='course',
            name='discipline',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='courses', to='cs_courses.Discipline'),
        ),
        migrations.AddField(
            model_name='course',
            name='students',
            field=models.ManyToManyField(related_name='enrolled_courses', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='course',
            name='teacher',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='owned_courses', to=settings.AUTH_USER_MODEL),
        ),
    ]
